Subject: bug#15459: [bug-diffutils] bug#15459: bug#15459: bug#15459:

From: Eric Blake <[email-masked]>
Date: Wed, 25 Sep 2013 08:52:58 -0600

On 09/25/2013 08:37 AM, Paul Eggert wrote:
> Here's what happens when I compare them.
> (The "$ " is the prompt by my shell; it comes
> before the command I typed; the other lines are
> the output of "diff".)
> 
> $ diff old.rar new.rar
> Binary files old.rar and new.rar differ
> $ diff -a old.rar new.rar
> [ lots of binary gibberish ]
> 
> This is the documented behavior; I don't see any bug there.
> 'diff' is designed to compare text files, and doesn't do
> very well with binary files.

Oh - maybe the intent is that we are supposed to unrar these files, and
diff the contents of the uncompressed files?  Sorry, but rar is not a
free format (free-of-charge programs is not the same as software that
respects user freedoms).  The GNU unrar cannot uncompress rar3 archives,
so it is difficult for free software developers to get at your original
contents.  Can you please use a free compression format (such as gzip)
instead of the patent-encumbered rar for posting the files you are
discussing?

http://en.wikipedia.org/wiki/Unrar

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org